> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/17.-interogare-obtine-seturidedatesol.md).

# 17. Interogare: Obține "SeturiDeDateSol"

Obține toate "SoilDatasets" pentru "Field" selectat. Seturile de date pot fi preluate folosind interogări GraphQL generice precum `getFarms` și `getFields` din "Field" legat.&#x20;

{% hint style="warning" %}
Un "SoilDataset" trebuie încărcat în prealabil.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #model "<OperationType> <YYYY-mm-DD>"
        operationId #dacă există
        number #numărul total de geofeature-uri
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #detalii complete pe atribut
          name #legătură către statistici >> atribut
          transliteratedName
          fullName #dacă există
          unit #dacă există
        }

        createdDate #data și ora creării entității în GeoPard
        updatedDate #data și ora ultimei actualizări
        operationType
        operationId
        operationFileDate #data și ora creării fișierului
        operationStartDate #începutul operațiunii
        
        statistics { #distribuția statistică pentru fiecare atribut de sol
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        nume  
        operationId #dacă există 
        number #numărul total de geofeature-uri 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #legătură către statistici >> atribut
          transliteratedName
          fullName #dacă există
          unit #dacă există
        }
      
        createdDate #data creării în GeoPard
        updatedDate #data ultimei actualizări în GeoPard
        operationFileDate #data și ora creării fișierului (dacă există)
        operationStartDate #începutul operațiunii (dacă există)
      
        statistics { #distribuția statistică pentru fiecare atribut de sol
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #reprezentare vizuală
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/17.-interogare-obtine-seturidedatesol.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
